﻿@charset "UTF-8";

header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 6rem;
    background: rgba(255,255,255,1);
    box-shadow: 0 0 0.5rem rgba(0,0,0,0.05);
    z-index: 10;
}

.nav-container {
    align-items: center;
    justify-content: space-between;
    height: 4rem;
}

/* Left */
.nav-left a {
    position: relative;
    z-index: 10;
}

.nav-left h1 a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    text-decoration: none;
    color: #333;
}

.nav-left h1 figure img {
    width: 160px;
    height: auto;
}

.logo-mobile {
    display: none;
}

.nav-left h1 span {
    background: #9f9f9f;
    color: #fff;
    font-size: 0.8rem;
    border-radius: 0.3rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

header nav {
    position: relative;
    width: 100%;
    min-width: 800px;
    padding: 0 15rem 0 20rem;
}

    header nav h1 {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        height: 6rem;
        text-align: center;
    }

        header nav h1 a {
            display: block;
            padding: 0.8rem;
            color: rgba(255,255,255,1);
            text-decoration: none;
            text-align: left;
            display: flex;
            flex-direction: column;
        }

        header nav h1 span {
            display: inline-block;
            margin: 0 auto;
            padding: 0 1rem;
            max-height: 1.4rem;
            font-size: 0.8rem;
            font-weight: normal;
            text-align: center;
            line-height: 1.4rem;
            background: rgba(159,159,159,1);
            border-radius: 0.3rem;
            overflow: hidden;
            transition: background-color 0.25s ease, color 0.25s ease, border-color 0.25s ease, transform 0.25s ease;
        }

            header nav h1 span:hover {
                color: rgba(255,255,255,0.9);
                background: rgba(159,159,159,0.85);
                transform: translateY(-2px); /* nổi lên nhẹ */
                box-shadow: 0 4px 8px rgba(0,0,0,0.15);
            }

/* Center */
.nav-center {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0 auto;
    width: max-content;
}

header nav h2 {
    position: relative;
    padding: 0.8rem;
    font-weight: normal;
    font-size: 0.8rem;
    line-height: 1rem;
    height: 6rem;
    transition: background-color 0.25s ease, color 0.25s ease, border-color 0.25s ease, transform 0.25s ease;
}

    header nav h2::after {
        content: "\f0d7";
        font-family: "Font Awesome 5 free";
        font-weight: 600;
        font-size: 1em;
        position: absolute;
        display: block;
        margin: auto;
        right: 0;
        bottom: 0.3rem;
        left: 0;
        color: rgba(89,87,87,0.5);
        transition: all .2s ease-in-out;
    }

    header nav h2:hover::after {
        width: fit-content;
        color: rgba(51,156,208,1);
        bottom: 0.1rem;
    }

header h2 figure {
    padding: 0 0 0.5rem;
    font-size: 2rem;
    line-height: 1rem;
}

header nav ol {
    margin: 0 auto;
    display: flex;
    width: 100vw;
    list-style: none;
    justify-content: center;
}

    header nav ol li:hover {
        background: rgba(51,156,208,0.2);
    }

    header nav ol li#dgGnvMenu01 {
        width: 12rem;
    }

.menu-box {
    display: block;
    position: absolute;
    top: 6rem;
    left: 0;
    right: 0;
    width: 100%;
    height: 0;
    padding: 0;
    background: rgba(51,156,208,0.95);
    transition: all .2s ease-in-out;
    overflow: hidden;
    z-index: 100;
}

header nav ol li:hover .menu-box {
    height: 15rem;
}

.menu-box ol {
    margin: 0 auto;
    width: 100%;
    padding: 2rem 0;
    min-width: 600px;
    max-width: 960px;
    text-align: center;
    flex-wrap: wrap;
}

.menu-box li {
    display: inline-block;
    width: 33.33%;
    transition: all 0.2s ease;
}

    .menu-box li a {
        display: block;
        width: 100%;
        height: 100%;
        padding-top: 1rem;
        text-decoration: none;
        color: #fff;
        text-align: center;
    }

        .menu-box li a figure {
            display: block;
            font-size: 2.5rem;
        }

        .menu-box li a figcaption {
            display: block;
            padding: 0.3rem 0 0;
            font-size: 1.2rem;
        }

        .menu-box li a span {
            display: block;
            padding: 0.5rem;
            font-size: 0.7rem;
            line-height: 1.5em;
            text-align: center;
            white-space: normal;
            color: rgba(255,255,255,0.3);
            transition: all .2s ease-in-out;
        }

    .menu-box li:hover {
        background: rgba(89,87,87,0.2);
        padding-top: 10px;
    }

    .menu-box li a:hover span {
        color: rgba(255,255,255,1);
    }

/* Right */
.dg-style-rad-disp {
    position: absolute;
    top: 40px;
    right: 18px;
    bottom: 0px;
}

    .dg-style-rad-disp input[type=radio] {
        display: none;
    }

        .dg-style-rad-disp input[type=radio] + label {
            padding: 0.5rem 1rem;
            width: 3rem;
            color: rgba(89,87,87,0.3);
            font-size: 0.9rem;
            line-height: 2rem;
            text-align: center;
            border-radius: 0.5rem;
            border: 1px solid rgba(89,87,87,0.3);
            cursor: pointer;
            transition: background-color 0.25s ease, color 0.25s ease, border-color 0.25s ease, transform 0.25s ease;
        }

            .dg-style-rad-disp input[type=radio] + label:hover {
                color: #fff !important;
                background-color: rgba(51,156,208,1);
                transform: translateY(-2px);
            }

        .dg-style-rad-disp input[type=radio]:first-child + label {
            margin-left: 0 !important;
        }

        .dg-style-rad-disp input[type=radio]:checked + label {
            color: rgba(51,156,208,1);
            border: 1px solid rgba(51,156,208,1);
            transform: scale(1.05);
        }

        .dg-style-rad-disp input[type=radio]:required:checked + label {
            color: rgba(97,178,112,1);
            border: 1px solid rgba(97,178,112,1);
        }

@media all and (-ms-high-contrast:none) {
    /* IE11対策 */
    *::-ms-backdrop, main {
        display: block;
    }
}

@media only screen and (max-width: 768px) {
    .nav-container {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        gap: 0.5rem;
        height: auto;
        padding: 0.5rem 1rem;
    }

    nav {
        min-width: auto !important;
        padding: 0 !important;
    }

    /* Left */
    .logo-default {
        display: none;
    }

    .logo-mobile {
        display: block;
    }

    .nav-left h1 a {
        padding: 0.5rem 0 0 0.6rem;
        margin-left: 8px;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 0.5rem;
        text-decoration: none;
        color: #333;
    }

    .nav-left h1 figure img {
        width: 70px;
        height: 40px;
    }

    .nav-left h1 a span {
        max-width: 230px;
        font-size: 0.75rem;
    }

    /* Center */
    header nav ol {
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        width: 200px;
        list-style: none;
        justify-content: left;
        margin-left: 5px;
    }

    #dgGnvMenu01 h2 {
        display: flex;
        align-items: end;
        justify-content: start;
        gap: 0.5rem;
        font-size: 0.75rem;
        cursor: pointer;
        min-width: 14rem;
    }

        #dgGnvMenu01 h2 figure {
            font-size: 1.3rem;
            padding: 0 7px;
        }

        #dgGnvMenu01 h2 span {
            padding: 0 8px;
        }

    header nav h2::after {
        content: none !important;
    }

    #dgGnvMenu01 {
        background: none;
    }

    header nav h2:hover::after {
        color: rgb(172 171 171) !important;
    }

    /* Menu-active */
    .menu-box {
        display: none;
    }

        .menu-box.active {
            display: block;
            border-radius: 12px;
            box-shadow: 0 8px 24px rgba(0,0,0,0.15);
        }

        .menu-box ol {
            min-width: auto;
            max-width: none;
            padding: 0;
        }

        .menu-box ol {
            max-width: auto;
        }

        /* Menu-active-items */
        .menu-box li {
            width: 100%;
        }

        .menu-box li a {
            display: flex;
            flex-direction: row;
            padding: 1rem 1.25rem 0.5rem 1.25rem;
        }

        .menu-box li a figure,
        .menu-box li a figcaption {
            padding: 0;
            font-size: 1.1rem;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: start;
            gap: 0.5rem;
        }

        .menu-box li:hover {
            padding-top: 0;
            padding-left: 10px;
        }

        .menu-box li a span {
            display: none;
        }

        header nav ol li:hover .menu-box {
            height: 7rem;
        }

    /* Right */
    .dg-style-rad-disp input[type=radio] + label {
        padding: 0.1rem 0.4rem;
        width: 2.5rem;
        font-size: 1rem;
        line-height: 2rem;
    }

    .dg-style-rad-disp {
        top: 50px;
        right: 10px;
    }
}
